<?php
 namespace Module\AdminSpecCateDefault;
 use TCMS\Controller;
 use Model\SpecCateGroupModel;
 class SpecCateGroupController extends Controller {
 public function __construct() {
 }
 public function index() {
 return $this->view();
 }
 public function create() {
 return $this->view();
 }
 public function postCreate(SpecCateGroupModel $model) {
 if($model->isValid()) {
 if($model->insert()) return route_redirect('group-create', 'Thêm thành công');
 $this->view->addErrorMessage('error', 'Thêm thất bại');
 }
 return $this->view($model);
 }
 public function update($id) {
 $model = new SpecCateGroupModel();
 $data = $model->find($id);
 return $this->view($data);
 }
 public function postUpdate(SpecCateGroupModel $model) {
 if($model->isValid()) {
 if($model->update()) return route_redirect('group-index', 'Cập nhật thành công');
 $this->view->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return $this->view($model);
 }
 public function postDelete() {
 $id = (int)\Request::get('data');
 $model = new SpecCateGroupModel();
 $isSuccess = $model->delete($id);
 if(\Request::isAjax()) return $this->json(['success' => $isSuccess, 'message' => 'Xóa thành công']);
 return route_redirect('group-index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 public function postDeletes() {
 $ids = explode(',', \Request::get('data'));
 $idDeletes = [];
 foreach($ids as $id) {
 $idDeletes[] = (int)$id;
 }
 $model = new SpecCateGroupModel();
 $isSuccess = $model->deletes($idDeletes);
 if(\Request::isAjax()) return $this->json(['success' => $isSuccess, 'message' => 'Xóa thành công ' . count($idDeletes) . ' nhóm thông số kỹ thuật']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 }
